cURL
curl --request POST \ --url https://api.payvessel.com/kyc/api/v1/merchant/risk/blacklist/query \ --header 'Content-Type: <content-type>' \ --header 'api-key: <api-key>' \ --header 'api-secret: <api-secret>' \ --data ' { "phone_number": "08012345678", "bvn_no": "22123456789", "nin": "12345678901" } '
{ "success": true, "message": "Blacklist query completed successfully", "data": { "result": "NO_HIT", "hit_time": 0, "request_id": "BLQ-20260402-0001" }, "charges": { "charged": false, "charged_amount": "0.00" } }
Query blacklist data using phone number, BVN, and NIN identifiers.
Your PayVessel API key
Your PayVessel API secret
Request content type
application/json
Customer phone number
"08012345678"
Customer BVN
"22123456789"
Customer NIN
"12345678901"
Blacklist query response
true
"Blacklist query completed successfully"
Show child attributes